summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2016-01-09 01:24:20 +0000
committerPádraig Brady <P@draigBrady.com>2016-01-13 11:11:36 +0000
commit2370c64a10924046d382f5205af3fcdaf0269959 (patch)
tree683a9406796a156aa19fadc32bbc4aa6403c3fda
parent3ed89ae9324026660dfefb5e482e91b8acc5262d (diff)
downloadcoreutils-2370c64a10924046d382f5205af3fcdaf0269959.tar.xz
tests: include part of wc-files0.sh skipped by mistake
* tests/misc/wc-files0.sh: $fail is always set to 0, so correct the test to include that part of the test case.
-rwxr-xr-xtests/misc/wc-files0.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/wc-files0.sh b/tests/misc/wc-files0.sh
index 4562e6a4e..12b7d6afe 100755
--- a/tests/misc/wc-files0.sh
+++ b/tests/misc/wc-files0.sh
@@ -33,7 +33,7 @@ EOF
compare exp out || fail=1
-if test "$fail" = ''; then
+if ! test "$fail" = 1; then
# Repeat the above test, but read the file name list from stdin.
rm -f out
wc --files0-from=- < names > out || fail=1